Differences between revisions 4 and 5
Revision 4 as of 2006-05-24 14:58:53
Size: 2262
Comment:
Revision 5 as of 2009-09-20 22:49:11
Size: 2262
Editor: localhost
Comment: converted to 1.6 markup
No differences found!

Document in progress ... very raw

Notes on using the Eclipse projects generated by the mvn eclipse:eclipse command.

The build instructions in the SDO Java Overview talk about running mvn eclipse:eclipse to permit development in eclipse, but don't give detailed instructions on how to go on to use eclipse.

Here's a dump of the information I gleaned for getting this working in Windows

Open an eclipse workspace at some location on the file system (Initially when I created a workspace right on top of where I had extracted from SVN, I got a problem relating to "overlap" of path names when I tried to import the projects --- not sure what the criteria for overlap are)

  • In a java perspective, do a File => Import => Existing project into workspace

  • Select a folder which contains a generated .project folder (e.g. <svn extraction path>/java/spec/sdo)

  • Import the project
  • Fix up the build problem by defining the M2_REPO variable
    • Right click the project in package explorer and select Properties
    • Click on Java Build Path
    • Click on the "Libraries" tab
    • Select a (the) library in the list that includes an M2_REPO prefix
    • Click Edit
    • Click Variable
    • Click New
    • Set the variable name to M2_REPO
    • set the Path to the Folder C:\Documents and Settings\<username>\.m2\repository

    • Click OK as many times as it takes to get back rid of all the dialogs
    • Accept the offer of a full rebuild

Java Assert Statements

If you see an error saying Syntax error on token "assert" you must set some Java compiler preferences

  • Go to Window => Preferences =>> Java => Compiler and select the Compliance and Classfiles tab

  • Set ...
    • Compiler Compliance Level: to 1.4
    • Use default compliance settings to unchecked
    • Generated .class files compatibility: to 1.4
    • Source compatibility: to 1.4

Java 5 Dependency

At this time only one file (Interface2JavaGenerator.java) in the SDO tools project has a dependency on Java 5. You must either ensure you have a Java 5 JRE in your list of installed JREs, and ensure that the tools project uses this JRE (instructions to follow), or delete the Interface2JavaGenerator.java source file if you don't plan to use it.

Tuscany/TuscanyJava/SDO_Java_Overview/EclipseDev (last edited 2009-09-20 22:49:11 by localhost)